Qt Reference Documentation

# Qt 3 Support Members for QFile

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QFile class reference

## Public Functions

QString | name () const
bool | open ( OpenMode aFlags, FILE * f )
bool | open ( OpenMode aFlags, int fd )
void | setName ( const QString & name )

- 22 public functions inherited from QIODevice
- 8 public functions inherited from QObject

## Member Function Documentation

### QString QFile::name () const

Use fileName() instead.

See also setName().

### bool QFile::open ( OpenMode aFlags, FILE * f )

Use open(FILE *, OpenMode) instead.

### bool QFile::open ( OpenMode aFlags, int fd )

Use open(int, OpenMode) instead.

### void QFile::setName ( const QString & name )

Use setFileName() instead.

See also name().